# Generated from rasam-0.2.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rasam

Name: rubygem-%{gem_name}
Version: 0.2.7
Release: 1%{?dist}
Summary: Pair Rank a given list of items
License: MIT
URL: https://bitbucket.org/bparanj/rasam
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.2
# BuildRequires: rubygem(minitest) >= 5.10.3
# BuildRequires: rubygem(minitest) < 5.11
# BuildRequires: rubygem(simplecov) >= 0.11.2
# BuildRequires: rubygem(simplecov) < 0.12
# BuildRequires: rubygem(highline) >= 1.7.8
# BuildRequires: rubygem(highline) < 1.8
# BuildRequires: rubygem(rubycritic) >= 1.4
# BuildRequires: rubygem(rubycritic) < 2
BuildArch: noarch

%description
Select a single winner using votes that express preferences. This can also be
used to create a sorted list of winners.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/scripts
%{gem_instdir}/todo.txt
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rasam.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.7-1
- Initial package
